### A free/open-source library for quantitative finance

Public Member Functions
DirichletBC Class Reference
Finite-differences framework

Neumann boundary condition (i.e., constant value) More...

`#include <ql/methods/finitedifferences/boundarycondition.hpp>`

Inheritance diagram for DirichletBC:
[legend]

List of all members.

## Public Member Functions

| DirichletBC (Real value, Side side)
void | applyBeforeApplying (TridiagonalOperator &) const
void | applyAfterApplying (Array &) const
void | applyBeforeSolving (TridiagonalOperator &, Array &rhs) const
void | applyAfterSolving (Array &) const
void | setTime (Time)

## Detailed Description

Neumann boundary condition (i.e., constant value)

Possible enhancements:
  generalize to time-dependent conditions.

## Member Function Documentation

void applyBeforeApplying | ( | TridiagonalOperator & |  | ) | const`[virtual]`

This method modifies an operator before it is applied to an array so that will satisfy the given condition.

Implements BoundaryCondition< TridiagonalOperator >.

void applyAfterApplying | ( | Array & |  | ) | const`[virtual]`

This method modifies an array so that it satisfies the given condition.

Implements BoundaryCondition< TridiagonalOperator >.

void applyBeforeSolving | ( | TridiagonalOperator & | ,
|  | Array & | rhs
| ) |  | const`[virtual]`

This method modifies an operator before the linear system is solved so that will satisfy the given condition.

Implements BoundaryCondition< TridiagonalOperator >.

void applyAfterSolving | ( | Array & |  | ) | const`[virtual]`

This method modifies an array so that it satisfies the given condition.

Implements BoundaryCondition< TridiagonalOperator >.

void setTime | ( | Time | t | ) | `[virtual]`

This method sets the current time for time-dependent boundary conditions.

Implements BoundaryCondition< TridiagonalOperator >.